TimestreamsTime periods
Get periods for a timeline
Get periods for a specific timeline under a specific timestream
Path Parameters
timestreamId*string
timelineId*string
Query Parameters
pageSize?integer
The number of results per page
Default
50page?integer
The page of results to return
Default
1Header Parameters
x-api-key*string
OneBasket API Key
Format
passwordResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/timestreams/string/timelines/string/periods" \ -H "x-api-key: pa$$word"{ "page": 0, "pageSize": 0, "pageTotal": 0, "resultsTotal": 0, "hasNextPage": true, "hasPreviousPage": true, "results": [ { "inSeatDeliveryEnabled": true, "type": "Primary", "id": "string", "timestreamId": "string", "timelineId": "string", "title": "string", "description": "string", "start": "2019-08-24T14:15:22Z", "duration": "string", "end": "2019-08-24T14:15:22Z" } ]}